RIO_DISC_MPORT(9)

NAME
rio_disc_mport - Start discovery through a master port

SYNOPSIS

int rio_disc_mport (struct rio_mport * mport);

ARGUMENTS

mport
    Master port to send transactions

DESCRIPTION

Starts the discovery process. If we have an active link, then wait for the signal that enumeration is complete. When enumeration completion is signaled, start recursive peer discovery. Returns 0 if discovery succeeds or -EBUSY on failure.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.